package de.tobias.playpad.model.project

import java.util.UUID

import de.tobias.playpad.utils.json.{JsonName, JsonParent, UUIDSerializerHandler}

/**
 * Created by tobias on 23.02.17.
 */
class Design {

	@JsonName(value = "id", handler = classOf[UUIDSerializerHandler])
	var id: UUID = UUID.randomUUID()
	@JsonName("background_color")
	var backgroundColor: String = _
	@JsonName("play_color")
	var playColor: String = _

	@JsonParent
	var pad: Pad = _
}
